/**
 * @(#)CivLogDataEntry.java
 *
 * Created on July 26, 2000, 9:40 PM
 */

/**
 *
 * @author  Raimar Falke <rf13@inf.tu-dresden.de>
 * @version 0.01
 */

/**
   ********************************************************************
 CivLog - Copyleft (C) 2000 - Wong Teck Meng
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.
 
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
**********************************************************************
                                                                      */
package org.freeciv.civlog.data;

import java.util.*;

public class ScoreEntry extends Hashtable
{

    int year, player;

    public ScoreEntry (int year, int player)
    {
        this.year = year;
        this.player = player;
    }

    public int getData (int data_type)
    {
        Integer value;

        value= (Integer)get (new Integer (data_type));
        if (value==null)
            // throw new RuntimeException ("Can't find type " + data_type);
            return 0;
        return value.intValue ();
    }

    public void setData (int data_type, int value)
    {
        put (new Integer (data_type), new Integer (value));
    }
}
// End of ScoreEntry.java
