
package org.freeciv.civlog.gui;

public class ViewChangeEvent
{
    public final static int C_DATA_TYPE_GENERAL=1;
    public final static int C_DATA_TYPE_SELECTION=2;
    public final static int C_RANGE_SELECTION=3;
    public final static int C_PLAYER_SELECTION=4;
    public final static int C_OTHER=5;

    private int code, dataTypeOrPlayer;
    private boolean bool;

    public ViewChangeEvent(int code, int dataTypeOrPlayer,boolean bool)
    {
        this.code=code;
        this.dataTypeOrPlayer=dataTypeOrPlayer;
        this.bool=bool;
    }

    public String toString()
    {
        return "ViewChangeEvent{code="+code+", index="+dataTypeOrPlayer+
               ", bool="+bool+"}";
    }

    public int getCode()
    {
        return code;
    }

    public int getDataTypeOrPlayer()
    {
        return dataTypeOrPlayer;
    }

    public boolean getBool()
    {
        return bool;
    }
}
